Update audit flags

​

Update an audit's flags — the only mutable field; the provided array replaces the existing set. Returns 404 for an unknown or cross-org id.

OAuth scopes
  • audits:write

Path Parameters

Body·

application/json

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for patch/v2/audits/{id}
curl https://api.brellium.dev/v2/audits/123e4567-e89b-12d3-a456-426614174000 \
  --request PATCH \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "flags": [
    ""
  ]
}'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "object": "audit",
  "org_id": "string",
  "status": "string",
  "score": null,
  "set_id": "123e4567-e89b-12d3-a456-426614174000",
  "flags": [
    "string"
  ],
  "viewable": true,
  "processed": true,
  "marked_reviewed": true,
  "admin_reviewed": true,
  "archived": true,
  "redacted": true,
  "feedback_addressed": true,
  "needs_update": true,
  "notes": null,
  "jobs_count": 1,
  "responses_count": 1,
  "display_date": null,
  "completed_at": null,
  "created_at": "string",
  "updated_at": "string"
}
Brellium API